<%
/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@ page session="true" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/smalltabs_css.jsp">
<jsp:useBean class="com.edeal.frontline.DecisionDataBean" id="DecisionData" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String id = null;
try {
	id = DecisionData.getID();
} catch (FieldNotInitializedException fnie) {
}

String reportType=null;
try {
	reportType=DecisionData.getDdaType();
} catch (FieldNotInitializedException fnie) {}

%>
<script type="text/javascript" language="javascript">
function doSubmit() {
    return true;
}

function doRefresh() {
	var f = document.forms[0];
	f.action = '<%=flRequest.computeURL("/refresh_decisiondata.fl?"+(id!=null ? "&id="+id : ""))%>';
	f.submit();
}

function doCheckAll(checkName) {
	$("input[name="+checkName+"]").each(function() { $(this).attr('checked',!$(this).attr('checked')); });
}

</script>
<fl:form action="/save_decisiondata.fl" bean="DecisionData">
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L6436\", false, true, \"Analyse\") %>" ou="<%= \"/edit_decisiondata.fl\"+(id != null ? \"?id=\" + id : \"\") %>">
		<table class="container" cellpadding="0">
			<tr>
				<td colspan="3">
					<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td class="labelTitreFiche">
								<fl:label field="DdaName" labelClassName="titreFiche"/>
							</td>
							<td class="fieldTitreFiche">
								<fl:input property="DdaName" mandatoryMsgCode="M2014"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td colspan="3" class="ligne_separation"/></tr>
		</table>
		<% if (context.getAutoDisplayManager().hasEntry("DecisionData", "DecisionData 1") && false) { %>
			<fl:autodisplay name="DecisionData" zone="DecisionData 1" edit="true"/>
		<% } %>
		<table class="container" cellpadding="0">
			<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit property="DdaCode" mandatoryMsgCode="L6294" unicityMsgCode="M60CE"/>
					<fl:fieldEdit property="DdaType" onchange="doRefresh()" mandatoryMsgCode="M60FA"  alt=""/>
					<fl:fieldEdit property="DdaIcon" alt=""/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>	
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit property="DdaObjID"/>
					<fl:fieldEdit property="DdaStatus"/>
				</table>
			</td>
			</tr>
		</table>
		<table class="container" cellpadding="0">
		<tr><td class="titrePartie"><fl:getMessage code="F2024" alt="Notes"/></td></tr>
		<tr><td class="dataValue noPaddingLeft"><fl:input property="DdaComment" rows="5" nodiv="false"/></td></tr>
		<tr class="ligne_separation"><td></td></tr>
		<tr class="ligne_separation_couleur"><td></td></tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>	
		
		
		<% if (dico.getRefIdByCode("DdaType","MANAGER").equals(reportType)) { %>
		<table class="container" cellpadding="0">
			<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit property="DdaDivebook"  mandatoryMsgCode="M8090" mandatoryMsg="Vous devez spcifier un divebook" alt=""/>
					<fl:fieldEdit property="DdaDefaultArea"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>	
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit property="DdaDefaultDir"/>
					<fl:fieldEdit property="DdaDefaultTopic"/>
				</table>
			</td>
			</tr>
		</table>
		<table class="container ddablock type_<%= dico.getRefIdByCode("DdaType","REPORTER") %> type_<%= dico.getRefIdByCode("DdaType","MANAGER") %>" cellpadding="0">
			<tr>
				<td><fl:label field="DdaReportParams" labelClassName="titrePartie"/></td>
			</tr>
			<tr>
				<td class="dataValue noPaddingLeft">
					<fl:input property="DdaReportParams" htmlClass="input"/>
				</td>
			</tr>
		</table>
	<% } %>

		
		<% if (dico.getRefIdByCode("DdaType","REPORTER").equals(reportType)) { %>
		<table class="container" cellpadding="0">
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit property="DdaPortalPage"  mandatoryMsgCode ="M8091" mandatoryMsg="Vous devez spcifier une page" alt=""/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>	
			<td class="column2">
			</td>
			</td>
		</tr>
		</table>
		<table class="container ddablock type_<%= dico.getRefIdByCode("DdaType","REPORTER") %> type_<%= dico.getRefIdByCode("DdaType","MANAGER") %>" cellpadding="0">
			<tr>
				<td><fl:label field="DdaReportParams" labelClassName="titrePartie"/></td>
			</tr>
			<tr>
				<td class="dataValue noPaddingLeft">
					<fl:input property="DdaReportParams" htmlClass="input"/>
				</td>
			</tr>
		</table>
		<% } %>



		
		
		<% if (dico.getRefIdByCode("DdaType","DIV5").equals(reportType)) { %>
		<table class="container" cellpadding="0">
			<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<fl:fieldEdit property="DdaServer"/>
					<fl:fieldEdit property="DdaDivebook"/>
					<fl:fieldEdit property="DdaLogin"/>
					<fl:fieldEdit property="DdaDefaultArea"/>
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>	
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr><td colspan="2">no</td></tr>
					<fl:fieldEdit property="DdaDefaultDir"/>
					<fl:fieldEdit property="DdaPwd"/>
					<fl:fieldEdit property="DdaDefaultTopic"/>
				</table>
			</td>
			</tr>
		</table>
		</div>
		<% } %>
		
		<fl:smallTabs name="DdaTabs">

		<fl:sTab id="Dispo" title="<%= Utils.getMessage(session, \"L60C5\", \"Disponibilit\") %>">
			<table class="container">
				<tr>
					<td class="column2">
						<table class="container" cellpadding="0">
						<tr class="fieldline">
							<td id="DdaAuthRoles_label" class="dataLabel">
								<div>
									<fl:label field="DdaAuthRoles"/><br/>
									<a href="#" onclick="doCheckAll('DdaAuthRoles')"><fl:getMessage code="L631E" alt="Cocher tous"/></a>
									
								</div>
								</td>
							<td id="DdaAuthRoles_value" class="dataValue">
								<div>
									<fl:input name="DecisionData" property="DdaAuthRoles"/>
								</div>
							</td>
						</tr>
						
						</table>
					</td>
					<td class="separation"><div class="separation"></div></td>	
					<td class="column2"></td>
				</tr>
			</table>
		</fl:sTab>
		</fl:smallTabs>
		
</fl:bigTabs>
</fl:form>